diff -r -u boost/PKGBUILD new_boost/PKGBUILD
--- boost/PKGBUILD	2013-09-28 13:13:46.294852118 +0100
+++ new_boost/PKGBUILD	2013-09-28 15:13:15.649543515 +0100
@@ -5,12 +5,13 @@
 # Contributor: Giovanni Scafora <giovanni@archlinux.org>
 # Contributor: Kritoke <kritoke@gamebox.net>
 # Contributor: Luca Roccia <little_rock@users.sourceforge.net>
+# Contributor: Dan Liew <delcypher@gmail.com>
 
 pkgbase=boost
-pkgname=('boost-libs' 'boost')
+pkgname=('boost-libs' 'boost' 'boost-static-libs')
 pkgver=1.54.0
 _boostver=${pkgver//./_}
-pkgrel=3
+pkgrel=4
 url="http://www.boost.org/"
 arch=('i686' 'x86_64')
 license=('custom')
@@ -75,7 +76,7 @@
       debug-symbols=off \
       threading=multi \
       runtime-link=shared \
-      link=shared \
+      link=shared,static \
       toolset=gcc \
       python=2.7 \
       --layout=system \
@@ -83,7 +84,6 @@
       ${JOBS} \
       install
 
-   find ${_stagedir} -name \*.a -exec rm -f {} \;
 }
 
 package_boost() {
@@ -108,6 +108,21 @@
    install -d -m 755 "${pkgdir}"/usr
    cp -a "${_stagedir}"/lib "${pkgdir}"/usr
 
+   # Remove static libraries
+   find "${pkgdir}"/usr -name \*.a -exec rm -f {} \;
+
+   install -D -m 644 "${srcdir}/"${pkgbase}_${_boostver}/LICENSE_1_0.txt \
+      "${pkgdir}"/usr/share/licenses/boost-libs/LICENSE_1_0.txt
+}
+
+package_boost-static-libs() {
+   pkgdesc="Free peer-reviewed portable C++ source libraries - Static libraries"
+   depends=('bzip2' 'zlib' 'icu')
+   optdepends=('openmpi: for mpi support')
+
+   install -d -m 755 "${pkgdir}"/usr
+   cp -a "${_stagedir}"/lib/*.a "${pkgdir}"/usr
+
    install -D -m 644 "${srcdir}/"${pkgbase}_${_boostver}/LICENSE_1_0.txt \
       "${pkgdir}"/usr/share/licenses/boost-libs/LICENSE_1_0.txt
 }
